Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::ValueVisitor Class Reference

List of all members.

## Public Member Functions
| ValueVisitor ()
virtual | ~ValueVisitor ()
virtual void | apply (GLbyte &)
virtual void | apply (GLshort &)
virtual void | apply (GLint &)
virtual void | apply (GLushort &)
virtual void | apply (GLubyte &)
virtual void | apply (GLuint &)
virtual void | apply (GLfloat &)
virtual void | apply (Vec2 &)
virtual void | apply (Vec3 &)
virtual void | apply (Vec4 &)
virtual void | apply (Vec4ub &)
virtual void | apply (Vec2b &)
virtual void | apply (Vec3b &)
virtual void | apply (Vec4b &)
virtual void | apply (Vec2s &)
virtual void | apply (Vec3s &)
virtual void | apply (Vec4s &)

## Constructor & Destructor Documentation

osg::ValueVisitor::ValueVisitor | ( |  | ) | `[inline]`

virtual osg::ValueVisitor::~ValueVisitor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void osg::ValueVisitor::apply | ( | Vec4s & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | Vec3s & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | Vec2s & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | Vec4b & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | Vec3b & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | Vec2b & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | Vec4ub & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | Vec4 & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | Vec3 & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | Vec2 & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLfloat & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLuint & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLubyte & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLushort & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLint & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLshort & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLbyte & |  | ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- Array